#
# spec file for package isl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define islsover 10

Name:           isl
Version:        0.12.2
Release:        6.15
Summary:        Integer Set Library
License:        MIT
Group:          Development/Languages/C and C++
Url:            http://www.kotnet.org/~skimo/isl/
BuildRequires:  gmp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         isl-%{version}.tar.bz2

%description
ISL is a library for manipulating sets and relations of integer points
bounded by linear constraints.
It is used by Cloog and the GCC Graphite optimization framework.

%package devel
Summary:        Development tools for ISL
Group:          Development/Languages/C and C++
Requires:       libisl%islsover = %{version}-%{release}

%description devel
Development tools and headers for the ISL.

%package -n libisl%islsover
Summary:        The ISL shared library
Group:          Development/Languages/C and C++

%description -n libisl%islsover
The shared library for the ISL.

%prep
%setup -q -n isl-%{version}

%build
%configure
make %{_smp_mflags}

%check
make %{_smp_mflags} check

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
rm -f $RPM_BUILD_ROOT%{_libdir}/libisl.so.*-gdb.py
rm -f $RPM_BUILD_ROOT%{_libdir}/libisl.a

%post -n libisl%islsover -p /sbin/ldconfig

%postun -n libisl%islsover -p /sbin/ldconfig

%files -n libisl%islsover
%defattr(-,root,root,-)
%{_libdir}/libisl.so.%{islsover}*

%files devel
%defattr(-,root,root,-)
%{_includedir}/isl
%{_libdir}/libisl.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 13 2014 rguenther@suse.com
- Update to ISL version 0.12.2
  * isl_int has been replaced by isl_val
  * some of the old functions are still available in isl/deprecated/*.h
  but they will be removed in the future
  * The functions isl_pw_qpolynomial_eval, isl_union_pw_qpolynomial_eval,
  isl_pw_qpolynomial_fold_eval and isl_union_pw_qpolynomial_fold_eval have
  been changed to return an isl_val instead of an isl_qpolynomial
- Remove obsolete config-guess-sub-update.diff patch
* Mon Jun 24 2013 rguenther@suse.com
- Update to ISL version 0.12
  * adds isl_val abstraction
* Thu Feb  7 2013 dmueller@suse.com
- Add config-guess-sub-update.diff:
  * Update config.guess/sub for aarch64
* Mon Dec 17 2012 rguenther@suse.com
- Update to ISL version 0.11.1
  * fixes endianess issue
  * now comes with a LICENSE file
* Tue Dec  4 2012 rguenther@suse.com
- Update to ISL version 0.11
  * license change to MIT
  * add support for code generation
* Thu Sep 27 2012 idonmez@suse.com
- Add baselibs.conf, needed by cloog-isl-32bit
* Thu Jun 21 2012 rguenther@suse.com
- ISL 0.10
